# 实验四 - 页面置换算法

## 前言

（1）为什么要引入页面置换？

（2）页面置换的性能指标是什么

（3）页面置换算法的实现



## 一、实验目的 

​	请求页式管理是现代通用操作系统中最常用的一种虚拟存储管理技术，本实验的目的是通过模拟请求页式存储管理中的页面替换算法，了解虚拟存储技术的特点，认识操作系统对内存的管理。



## 二、实验原理

（1）回顾请求页式管理：

​	进程运行时，若其访问的页面不在内存中，而需将其调入，但是内存已无空闲内存时，就需要从内存中调出一页程序或数据，送入磁盘的对换区(swap分区)。**选择调出页面的算法就叫页面置换算法。** 



（2）页面算法好坏的评估指标：

​	好的页面置换算法应有较低的页面更换频率，即应将以后不会再访问或以后较长时间不会访问的页面先调出。总的来说就是：具有较小的缺页中断次数。

- 缺页中断：CPU在检索页表的时候发现进程要访问的页面不在物理内存中，就会发出一个Page Fault。





## 三、实验步骤

### 1. 数据类型

（1）你需要一个class类或者struct来表示已经存在物理内存中的页框Page的信息，至少需要包含：

- page_number表示页号
- read、write来表示页面是否被读写，以便在页面替换的时候判断是否需要把页面写回磁盘。

​	此外，根据你实验的算法的不同，你可以为该Page类添加更多的成员变量，比如：

|   变量名    |           内涵           |
| :---------: | :----------------------: |
| time_arrive | 页面调入物理内存的时间点 |
| time_access |  最近一次被访问的时间点  |



（2）你需要设置一个变量MemPageNumber来表示内存中实页的数量。



### 2. 算法模型

​	选取以下算法为主题，实现一个页面调度算法，并输出**页面命中率**或者**缺页次数**。

- FIFO
- LRU
- CLOCK





## 课外资料